## org.w3c.jigadm.editors
Class ControlHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadm.editors.ControlHelper

public class ControlHelper
extends ResourceHelper

Field Summary
`protected static java.lang.String` | `CHECKPOINT_L`
`protected java.awt.Label` | `controlLabel`
`protected static java.lang.String` | `RESTART_L`
`protected static java.lang.String` | `SAVE_L`
`protected static java.lang.String` | `STOP_L`
`protected java.awt.Panel` | `widget`

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`ControlHelper()`

Method Summary
`void` | `clearChanged()`
`void` | `commitChanges()`
`protected void` | `executeAction(java.lang.String action)`
`java.awt.Component` | `getComponent()`
`protected java.awt.Image` | `getIcon(PropertyManager pm, java.lang.String name)`
`java.lang.String` | `getTitle()`
`boolean` | `hasChanged()`
`void` | `initControlPanel()`
`void` | `initialize(RemoteResourceWrapper rrw, java.util.Properties pr)` initialize the editor
`void` | `resetChanges()`
`void` | `setMessage(java.lang.String msg)`

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, errorPopup, getValue, msgPopup, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHECKPOINT_L

    protected static final java.lang.String CHECKPOINT_L

### SAVE_L

    protected static final java.lang.String SAVE_L

### STOP_L

    protected static final java.lang.String STOP_L

### RESTART_L

    protected static final java.lang.String RESTART_L

### widget

    protected java.awt.Panel widget

### controlLabel

    protected java.awt.Label controlLabel

Constructor Detail

### ControlHelper

    public ControlHelper()

Method Detail

### commitChanges

    public void commitChanges()

### hasChanged

    public boolean hasChanged()

### resetChanges

    public void resetChanges()

### clearChanged

    public void clearChanged()

### getComponent

    public java.awt.Component getComponent()

  Overrides:
    getComponent in class ResourceHelper

### getTitle

    public final java.lang.String getTitle()

  Overrides:
    getTitle in class ResourceHelper

### setMessage

    public void setMessage(java.lang.String msg)

### executeAction

    protected void executeAction(java.lang.String action)

### getIcon

    protected java.awt.Image getIcon(PropertyManager pm,
                                     java.lang.String name)

### initControlPanel

    public void initControlPanel()

### initialize

    public void initialize(RemoteResourceWrapper rrw,
                           java.util.Properties pr)
                    throws RemoteAccessException

  initialize the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.